Mon

19

Mar

2007

Jimdo now availabe for Opera 8 and above

Just a quick note: Jimdo now also works with Opera 8 and above. So, in addition to Firefox 1.5 and above and Internet Explorer 6 and above, you can now even use Opera 8 and above to create your own Jimdo-Page!

Comments: 0 (Discussion closed)

    There are no comments yet.

Navigation